icetGetStrategyName(3)

NAME
icetGetStrategyName - retrieve strategy name.

SYNOPSIS
#include <GL/ice-t.h>

const GLubyte icetGetStrategyName(void);

RETURN VALUE
Returns a short, null terminated string identifying the strategy currently in effect. Helpful for printing out debugging or diagnostic statements. If no strategy is set, NULL is returned.

ERRORS
None.

WARNINGS
None.

BUGS
None known.

NOTES
The string returned does not contain the identifier used in a C program. For example, if the current strategy is ICET_STRATEGY_REDUCE, icetGetStrategyName returns `Reduce,' not `ICET_STRATEGY_REDUCE.'

COPYRIGHT
Copyright © 2003 Sandia Corporation
Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive license for use of this work by or on behalf of the U.S. Government. Redistribution and use in source and binary forms, with or without modification, are permitted provided that this Notice and any statement of authorship are reproduced on all copies.

SEE ALSO
icetStrategy